## translatoid 0.9

=== CMakeLists.txt ===
# Project Needs a name ofcourse
project(translatoid)

# Find the required Libaries
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )
 
# We add our source code here

set(ktranslatoid_SRCS ktranslatoid.cpp  voiceform.cpp languageform.cpp languagemodel.cpp)
kde4_add_ui_files(ktranslatoid_SRCS form/voiceform.ui form/languageform.ui )
# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_translatoid ${ktranslatoid_SRCS})



target_link_libraries(plasma_applet_translatoid 
                      ${KDE4_PLASMA_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_SOLID_LIBS}  ${QT_QTNETWORK_LIBRARY})
 
install(TARGETS plasma_applet_translatoid
        DESTINATION ${PLUGIN_INSTALL_DIR})
 
install(FILES plasma-applet-translatoid.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

#/usr/share/kde4/services/
#/usr/lib/kde4/

set (kbflags_dir kbflags)



install(
   DIRECTORY ${kbflags_dir}
   DESTINATION ${ICON_INSTALL_DIR}
   PATTERN .svn EXCLUDE
   PATTERN "*.sh" EXCLUDE
   )

=== icons/CMakeLists.txt ===
kde4_install_icons(${ICON_INSTALL_DIR})
install(FILES
translator.svgz
DESTINATION ${ICON_INSTALL_DIR}/scalable/apps)

## translatoid 1.30

=== debian/changelog ===
translatoid (1.30-2) unstable; urgency=low

  * Do not install FindQJSON.cmake. Thanks Felix Geyer (Closes: #592284).
  * Switched the package to format 3.0 (quilt).  
  * Bump standars version to 3.9.1, no changes required. 

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Wed, 29 Sep 2010 11:05:13 -0300

translatoid (1.30-1) unstable; urgency=low

  * New upstream release.
  * Correct json parser with new Google API (Closes: #587356). 
  * Bump Standars-Version to 3.9.0, no changes required. 

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Tue, 06 Jul 2010 18:09:04 +0200

translatoid (1.1-2) unstable; urgency=low

  * Add missing build dependency on pkg-kde-tools (Closes: #584354). 
  * Bump standars version to 3.8.4, no changes needed. 
  * Create debian/source/format with 1.0 in it to fix Lintian warning. 

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Wed, 09 Jun 2010 14:35:16 +0200

translatoid (1.1-1) unstable; urgency=low

  * New upstream release.
  * Add build depend on libqjson-dev and pkg-config.
  * Switch download field to the repository URL in debian/copyright.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 21 Nov 2009 14:20:21 +0100

translatoid (1.0-1) unstable; urgency=low

  * New upstream release.
  * Adopt package.(Closes: #548325)
  
  [ Ana Beatriz Guerrero López ]

  * Update to Standards-Version 3.8.3, no changes required.
  * Update copyright year.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Sun, 04 Oct 2009 18:50:40 +0200

translatoid (0.9-1) unstable; urgency=low

  * New upstream release

 -- Peter Eisentraut <petere@debian.org>  Fri, 19 Jun 2009 22:55:37 +0300

translatoid (0.8-1) unstable; urgency=low

  * Initial release (closes: #523174)

 -- Peter Eisentraut <petere@debian.org>  Thu, 16 Apr 2009 22:39:53 +0300

=== debian/control ===
Source: translatoid
Section: kde
Priority: optional
Maintainer: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
Build-Depends: cdbs, cmake, debhelper (>= 7), kdelibs5-dev (>=4:4.2.0),
 libqjson-dev, pkg-config, pkg-kde-tools (>=0.4.0)
Standards-Version: 3.9.1
Homepage: http://kde-look.org/content/show.php/translatoid?content=97511

Package: plasma-widget-translatoid
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: espeak, festival
Description: translation widget for KDE Plasma
 This plasmoid uses Google Translate to translate text between languages.
 It can be set to automatically detect the input language.
 .
 If festival or espeak are installed, they can be used to speak the
 translation result.

## translatoid 1.30+svn1226145

=== CMakeLists.txt ===
# Project Needs a name ofcourse
project(translatoid)
set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules")
# Find the required Libaries
find_package(KDE4 REQUIRED)
find_package(QJSON REQUIRED)
include(KDE4Defaults)
 
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   ${QJSON_INCLUDE_DIR}
   )
 
# We add our source code here

set(ktranslatoid_SRCS ktranslatoid.cpp   languagemodel.cpp reminder.cpp)
kde4_add_ui_files(ktranslatoid_SRCS  form/languageform.ui form/reminderform.ui)
# Now make sure all files get to the right place
kde4_add_plugin(plasma_applet_translatoid ${ktranslatoid_SRCS})



target_link_libraries(plasma_applet_translatoid 
                      ${KDE4_PLASMA_LIBS}
                      ${KDE4_KIO_LIBS}
                      ${KDE4_SOLID_LIBS}
                      ${QT_QTNETWORK_LIBRARY}
                      ${QT_QTSQL_LIBRARY}
                      ${QJSON_LIBRARIES}

                   )

install(TARGETS plasma_applet_translatoid
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-translatoid.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})
	
install(FILES translatoid.db DESTINATION ${DATA_INSTALL_DIR}/translatoid)

#/usr/share/kde4/services/
#/usr/lib/kde4/

add_subdirectory(icons)
add_subdirectory(kbflags)
add_subdirectory(cmake)

=== kbflags/CMakeLists.txt ===
file(GLOB flags "*.png")
install(FILES ${flags} DESTINATION ${ICON_INSTALL_DIR}/kbflags)

=== cmake/modules/CMakeLists.txt ===
## install the cmake files

file(GLOB cmakeFiles "${CMAKE_CURRENT_SOURCE_DIR}/*.cmake")

set(module_install_dir ${DATA_INSTALL_DIR}/cmake/modules)

install( FILES ${cmakeFiles}
         DESTINATION ${module_install_dir})

=== debian/changelog ===
translatoid (1.30+svn1226145-1) unstable; urgency=low

  * Package svn commit 1226145 to fix unreadable text bug (Closes: #619829).
  * Set DM-Upload-Allowed: yes.
  * Bump Standards-Version to 3.9.2. No changes needed.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Sun, 01 May 2011 17:55:01 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Priority: optional
 Maintainer: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
 Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>
+DM-Upload-Allowed: yes
 Build-Depends: cdbs, cmake, debhelper (>= 7), kdelibs5-dev (>=4:4.2.0),
  libqjson-dev, pkg-config, pkg-kde-tools (>=0.4.0)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://kde-look.org/content/show.php/translatoid?content=97511
 
 Package: plasma-widget-translatoid

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/pkg-kde-tools/makefiles/1/cdbs/kde.mk

DEB_INSTALL_DOCS_ALL =

export DH_ALWAYS_EXCLUDE = .directory
